# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Mon Jun  2 06:15:17 2025
# ------------------------------------------------

package:
  name: bandage_ng
  version: 2025.6.1
source:
  sha256: 224cdb66fb95e9a68078b61f969b5f03a6b6259cd152b754eeee430857dc88e8
  url: https://github.com/asl/BandageNG/archive/refs/tags/v2025.6.1.tar.gz
build:
  number: '0'
  run_exports:
    - bandage_ng >=2025.6.1
  string: h1a91105_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - alsa-lib 1.2.14 h86ecc28_0
    - binutils_impl_linux-aarch64 2.43 h4c662bb_4
    - binutils_linux-aarch64 2.43 hf1166c9_4
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.34.5 h86ecc28_0
    - ca-certificates 2025.4.26 hbd8a1cb_0
    - cairo 1.18.4 h83712da_0
    - cmake 4.0.2 h0efca9c_0
    - cyrus-sasl 2.1.27 hf6b2984_7
    - dbus 1.13.6 h12b9eeb_3
    - double-conversion 3.3.1 h5ad3122_0
    - expat 2.7.0 h5ad3122_0
    - font-ttf-dejavu-sans-mono 2.37 hab24e00_0
    - font-ttf-inconsolata 3.000 h77eed37_0
    - font-ttf-source-code-pro 2.038 h77eed37_0
    - font-ttf-ubuntu 0.83 h77eed37_3
    - fontconfig 2.15.0 h8dda3cd_1
    - fonts-conda-ecosystem 1 0
    - fonts-conda-forge 1 0
    - freetype 2.13.3 h8af1aa0_1
    - gcc_impl_linux-aarch64 13.3.0 h80a1502_2
    - gcc_linux-aarch64 13.3.0 h1cd514b_10
    - graphite2 1.3.13 h2f0025b_1003
    - gxx_impl_linux-aarch64 13.3.0 h7eae8fb_2
    - gxx_linux-aarch64 13.3.0 h2864abd_10
    - harfbuzz 9.0.0 hbf49d6b_1
    - icu 75.1 hf9b3779_0
    - kernel-headers-conda-aarch64 4.18.0 ha134caf_1109
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - lerc 4.0.0 hfdc4d58_1
    - libclang-cpp19.1 19.1.7 default_he324ac1_3
    - libclang13 20.1.6 default_h9e36cb9_0
    - libcups 2.3.3 h405e4a8_4
    - libcurl 8.14.0 h6702fde_0
    - libdeflate 1.24 he377734_0
    - libdrm 2.4.124 h86ecc28_0
    - libdrm-conda-aarch64 2.4.97 ha134caf_1109
    - libdrm-devel-conda-aarch64 2.4.97 ha134caf_1109
    - libedit 3.1.20250104 pl5321h976ea20_0
    - libegl 1.7.0 hd24410f_2
    - libev 4.33 h31becfc_2
    - libexpat 2.7.0 h5ad3122_0
    - libffi 3.4.6 he21f813_1
    - libfreetype 2.13.3 h8af1aa0_1
    - libfreetype6 2.13.3 he93130f_1
    - libgcc 15.1.0 he277a41_2
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_102
    - libgcc-ng 15.1.0 he9431aa_2
    - libgl 1.7.0 hd24410f_2
    - libglib 2.84.1 hc486b8e_0
    - libglvnd 1.7.0 hd24410f_2
    - libglvnd-conda-aarch64 1.0.1 ha134caf_1109
    - libglvnd-glx-conda-aarch64 1.0.1 ha134caf_1109
    - libglx 1.7.0 hd24410f_2
    - libgomp 15.1.0 he277a41_2
    - libiconv 1.18 hc99b53d_1
    - libjpeg-turbo 3.1.0 h86ecc28_0
    - libllvm19 19.1.7 h2edbd07_1
    - libllvm20 20.1.6 h07bd352_0
    - liblzma 5.8.1 h86ecc28_1
    - libnghttp2 1.64.0 hc8609a4_0
    - libntlm 1.4 hf897c2e_1002
    - libpciaccess 0.18 h31becfc_0
    - libpng 1.6.47 hec79eb8_0
    - libpq 17.5 hf590da8_0
    - libsanitizer 13.3.0 ha58e236_2
    - libsqlite 3.50.0 h5eb1b54_0
    - libssh2 1.11.1 h18c354c_0
    - libstdcxx 15.1.0 h3f4de04_2
    - libstdcxx-devel_linux-aarch64 13.3.0 h0c07274_102
    - libstdcxx-ng 15.1.0 hf1166c9_2
    - libtiff 4.7.0 h7c15681_5
    - libuuid 2.38.1 hb4cce97_0
    - libuv 1.51.0 h86ecc28_0
    - libwebp-base 1.5.0 h0886dbf_0
    - libxcb 1.17.0 h262b8f6_0
    - libxkbcommon 1.10.0 hbab7b08_0
    - libxml2 2.13.8 he060846_0
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - mesa-dri-drivers-conda-aarch64 18.3.4 ha134caf_1109
    - mesa-khr-devel-conda-aarch64 18.3.4 ha134caf_1109
    - mesa-libegl-conda-aarch64 18.3.4 ha134caf_1109
    - mesa-libegl-devel-conda-aarch64 18.3.4 ha134caf_1109
    - mesa-libgbm-conda-aarch64 18.3.4 ha134caf_1109
    - mesa-libgl-conda-aarch64 18.3.4 ha134caf_1109
    - mesa-libgl-devel-conda-aarch64 18.3.4 ha134caf_1109
    - mesa-libglapi-conda-aarch64 18.3.4 ha134caf_1109
    - mysql-common 9.0.1 h3f5c77f_6
    - mysql-libs 9.0.1 h11569fd_6
    - ncurses 6.5 ha32ae93_3
    - openldap 2.6.10 h30c48ee_0
    - openssl 3.5.0 hd08dc88_1
    - pcre2 10.44 hf4ec17f_2
    - pixman 0.46.0 h86a87f0_0
    - pkg-config 0.29.2 hce167ba_1009
    - pthread-stubs 0.4 h86ecc28_1002
    - qt6-main 6.7.3 h666f7c6_1
    - rhash 1.4.6 h86ecc28_1
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025b h78e105d_0
    - wayland 1.23.1 h698ed42_1
    - xcb-util 0.4.1 h5c728e9_2
    - xcb-util-cursor 0.1.5 h86ecc28_0
    - xcb-util-image 0.4.0 h5c728e9_2
    - xcb-util-keysyms 0.4.1 h5c728e9_0
    - xcb-util-renderutil 0.3.10 h5c728e9_0
    - xcb-util-wm 0.4.2 h5c728e9_0
    - xkeyboard-config 2.44 h86ecc28_0
    - xorg-libice 1.1.2 h86ecc28_0
    - xorg-libsm 1.2.6 h0808dbd_0
    - xorg-libx11 1.8.12 hca56bd8_0
    - xorg-libxau 1.0.12 h86ecc28_0
    - xorg-libxcomposite 0.4.6 h86ecc28_2
    - xorg-libxcursor 1.2.3 h86ecc28_0
    - xorg-libxdamage 1.1.6 h86ecc28_0
    - xorg-libxdmcp 1.1.5 h57736b2_0
    - xorg-libxext 1.3.6 h57736b2_0
    - xorg-libxfixes 6.0.1 h57736b2_0
    - xorg-libxi 1.8.2 h57736b2_0
    - xorg-libxrandr 1.5.4 h86ecc28_0
    - xorg-libxrender 0.9.12 h86ecc28_0
    - xorg-libxtst 1.2.5 h57736b2_3
    - xorg-libxxf86vm 1.1.6 h86ecc28_0
    - zstd 1.5.7 hbcf94c1_2
  host:
    - _openmp_mutex 4.5 2_gnu
    - doxygen 1.13.2 h5e0f5ae_0
    - libgcc 15.1.0 he277a41_2
    - libgcc-ng 15.1.0 he9431aa_2
    - libgomp 15.1.0 he277a41_2
    - libiconv 1.18 hc99b53d_1
    - libstdcxx 15.1.0 h3f4de04_2
    - libuuid 2.38.1 hb4cce97_0
    - libvulkan-headers 1.4.309.0 ha6136e2_0
    - libvulkan-loader 1.4.309.0 h289cf15_0
    - libxcb 1.17.0 h262b8f6_0
    - pthread-stubs 0.4 h86ecc28_1002
    - xorg-libice 1.1.2 h86ecc28_0
    - xorg-libsm 1.2.6 h0808dbd_0
    - xorg-libx11 1.8.12 hca56bd8_0
    - xorg-libxau 1.0.12 h86ecc28_0
    - xorg-libxcomposite 0.4.6 h86ecc28_2
    - xorg-libxdamage 1.1.6 h86ecc28_0
    - xorg-libxdmcp 1.1.5 h57736b2_0
    - xorg-libxext 1.3.6 h57736b2_0
    - xorg-libxfixes 6.0.1 h57736b2_0
    - xorg-libxrandr 1.5.4 h86ecc28_0
    - xorg-libxrender 0.9.12 h86ecc28_0
    - xorg-libxxf86vm 1.1.6 h86ecc28_0
    - xorg-xf86vidmodeproto 2.3.1 h57736b2_1005
  run:
    - fonts-conda-ecosystem
    - libgcc >=13
    - libstdcxx >=13
    - qt6-main
    - xorg-libice >=1.1.2,<2.0a0
    - xorg-libsm >=1.2.6,<2.0a0
    - xorg-libx11 >=1.8.12,<2.0a0
    - xorg-libxcomposite >=0.4.6,<1.0a0
    - xorg-libxdamage >=1.1.6,<2.0a0
    - xorg-libxext >=1.3.6,<2.0a0
    - xorg-libxxf86vm >=1.1.6,<2.0a0
test:
  commands:
    - which BandageNG
    - QT_QPA_PLATFORM='offscreen' BandageNG --version
about:
  dev_url: https://github.com/asl/BandageNG
  doc_url: https://github.com/asl/BandageNG/blob/v2025.6.1/README.md
  home: https://github.com/asl/BandageNG
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: COPYING
  summary: Bandage - a Bioinformatics Application for Navigating De novo Assembly
    Graphs Easily.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  container:
    extended-base: true
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.1093/bioinformatics/btv383
